<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.usai.apex"
    android:versionCode="14"
    android:versionName="A180426"> <!-- Copied from Google Maps Library/AndroidManifest.xml. -->
    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="18" />


    <!-- 写联系人权限 -->
    <uses-permission android:name="android.permission.WRITE_CONTACTS" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />


    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <!--
         <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT" />
    <uses-permission android:name="com.android.launcher.permission.UNINSTALL_SHORTCUT" />
    -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES" />
    <!-- External storage for caching. -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!-- My Location -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!-- Maps API needs OpenGL ES 2.0. -->
    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />
    <!-- End of copy. -->


    <!-- Baidu Map API -->

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <!--
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.USE_CREDENTIALS" />
    <uses-permission android:name="android.permission.MANAGE_ACCOUNTS" />
    <uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS" />

    <permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </permission>

    <uses-permission android:name="android.permission.BAIDU_LOCATION_SERVICE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_MOCK_LOCATION" >
    </uses-permission>
    -->
    <!-- <uses-permission android:name="android.permission.WRITE_APN_SETTINGS"></uses-permission> -->
    <!--
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" >
    </uses-permission>
    <uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" >
    </uses-permission>
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
   
    <uses-permission android:name="android.permission.ACCESS_GPS" />
    -->
    <!--
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    -->
    <!-- SDK1.5需要android.permission.GET_TASKS权限判断本程序是否为当前运行的应用? -->
    <!--
        <uses-permission android:name="android.permission.GET_TASKS" />
     <uses-permission android:name="android.permission.CAMERA" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECORD_AUDIO" >
    </uses-permission>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.BROADCAST_STICKY" />
    -->
    <!-- 来电消音 -->
    <!--
    <uses-permission android:name="android.permission.PROCESS_OUTGOING_CALLS" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    -->
    <application



        android:name=".ApexTrackingApplication"
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:screenOrientation="portrait"
        android:theme="@style/FixedActionbarTheme">
        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="com.usai.apex.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/download_dir" />
        </provider>

        <!-- release key -->
         <meta-data
         android:name="com.google.android.maps.v2.API_KEY"
         android:value="AIzaSyDdbk58Lx6QzaXcB_hNpSHVp3l_CJeNpoo" />


         <meta-data
         android:name="com.baidu.lbsapi.API_KEY"
         android:value="nqBQoSDbxrslhuzW91uViQX7" />
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <!-- debug key -->

        <!--<meta-data-->
            <!--android:name="com.google.android.maps.v2.API_KEY"-->
            <!--android:value="AIzaSyD6Snyg2SDUGtkC3sOAr979__IDCZnGGuU" />-->
        <!--<meta-data-->
            <!--android:name="com.baidu.lbsapi.API_KEY"-->
            <!--android:value="tznWFxd3RvSoul1TGQp6GSzo" />-->
        <!--<meta-data-->
            <!--android:name="com.google.android.gms.version"-->
            <!--android:value="@integer/google_play_services_version" />-->

        <activity
            android:name=".DetailActivity"
            android:screenOrientation="portrait"
            android:label="@string/title_activity_detail"
            android:theme="@style/DetailActionbarTheme">

            <!--
                 <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="android.support.v4.app.FragmentActivity" />

           
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            -->
        </activity>
        <activity
            android:name=".ApexActivity"
            android:label="@string/title_activity_apex"
            android:logo="@drawable/apexlogo_2"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <!--
             <activity
            android:name="com.usai.apex.LoginFragment"
            android:label="@string/title_activity_login"
            android:windowSoftInputMode="adjustResize|stateVisible" >
        </activity>
        <activity
            android:name="com.usai.apex.DirectTrackingFragment"
            android:label="@string/title_activity_direct_tracking" >
        </activity>
        -->
        <!--android:launchMode="singleTask"-->
        <activity
            android:name=".mainframe.RootActivity"
            android:configChanges="fontScale"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@style/ToolbarTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".FunctionSelectActivity"
            android:label="@string/title_activity_function_select"
            android:launchMode="singleTop"
            android:logo="@drawable/apexlogo_2"
            android:screenOrientation="portrait">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>
        <activity
            android:name=".SearchActivity"
            android:label="@string/title_activity_search"
            android:screenOrientation="portrait" />
        <activity
            android:name=".AnnouncementActivity"
            android:label="@string/title_activity_announcements"
            android:screenOrientation="portrait" />
        <activity
            android:name=".CustomizeFieldsActivity"
            android:label="@string/title_activity_customize_fields"
            android:screenOrientation="portrait" />
        <activity
            android:screenOrientation="portrait"
            android:name=".ResultActivity"
            android:label="@string/title_activity_result" />
        <activity
            android:screenOrientation="portrait"
            android:name=".LocationDetailActivity"
            android:label="@string/title_activity_location_detail" />
        <activity
            android:screenOrientation="portrait"
            android:name=".InnerMapActivity"
            android:label="@string/title_activity_inner_map" />
        <activity
            android:name=".HelpActivity"
            android:label="@string/title_activity_help"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Holo.NoActionBar" />
        <activity
            android:name=".SearchListActivity"

            android:label="@string/title_activity_search_list"
            android:screenOrientation="portrait"
            android:theme="@style/SearchActionbarTheme"
            android:windowSoftInputMode="adjustUnspecified|stateHidden" />
        <activity
            android:name=".RetrievePasswordActivity"
            android:label="@string/title_activity_retrieve_password"
            android:screenOrientation="portrait" />
        <activity
            android:name=".MessageActivity"
            android:label="@string/title_activity_message"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SearchHistoryActivity"
            android:label="@string/title_activity_search_history"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ChangePasswordActivity"
            android:label="Change Password"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateVisible" />
        <activity
            android:name=".AboutActivity"
            android:label="@string/title_activity_about"
            android:screenOrientation="portrait" />
        <activity
            android:name=".WebActivity"
            android:screenOrientation="portrait"
            android:label="@string/title_activity_web" />

        <receiver
            android:name=".BootBroadcastReceiver"
            android:permission="android.permission.RECEIVE_BOOT_COMPLETED">
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
            </intent-filter>
        </receiver>
        <receiver android:name=".Alarmreceiver">
            <intent-filter>
                <action android:name="com.usai.apex.push" />
                <action android:name="com.usai.apex.push.cancel" />
            </intent-filter>
        </receiver>

        <activity

            android:name=".MessageDetailActivity"
            android:label="@string/title_activity_message_detail"
            android:screenOrientation="portrait" />
        <activity
            android:name=".InnerToolsActivity"
            android:label="@string/title_activity_inner_tools"
            android:screenOrientation="portrait" />
        <activity
            android:name=".DocumentsActivity"
            android:label="@string/title_activity_documents"
            android:screenOrientation="portrait" />
        <activity
            android:name=".LocalDocumentActivity"
            android:label="@string/title_activity_localdocuments"
            android:screenOrientation="portrait" />
        <activity
            android:name=".ApexHistoryActivity"
            android:label="@string/title_activity_apexhistory"
            android:screenOrientation="portrait" />
        <activity
            android:name=".SettingsActivity"
            android:label="@string/title_activity_settings"
            android:screenOrientation="portrait" />

        <service
            android:name=".ApexBackgroundService"
            android:label="Apex Mobile Background Service" />

        <activity
            android:screenOrientation="portrait"
            android:name=".saved.CheckSavedActivity"
            android:theme="@style/FixedActionbarTheme"></activity>
        >
        <activity
            android:screenOrientation="portrait"
            android:name=".TestAppComActivity"
            android:theme="@style/FixedActionbarTheme">

            <!-- <intent-filter> -->
            <!-- <action android:name="android.intent.action.MAIN" /> -->


            <!-- <category android:name="android.intent.category.LAUNCHER" /> -->
            <!-- </intent-filter> -->
        </activity>
        <activity
            android:name=".Result.AMResultActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ResultActionbarTheme" />
        <activity
            android:name=".Result.SearchResultActivity"
            android:screenOrientation="portrait" />
        <activity android:name=".ContainerSearchActivity" />
        <activity
            android:name=".pdf.PDFPreviewActivity"
            android:screenOrientation="portrait"
            android:theme="@style/ResultActionbarTheme" />
        <activity android:name=".LicenseActivity"></activity>
    </application>

</manifest>